KDE 4.2 PyKDE API Reference

- KDE's Python API

# KSvgRenderer Class Reference

`from PyKDE4.kdeui import *`

Inherits: QSvgRenderer → QObject

## Detailed Description

Thin wrapper around QSvgRenderer with SVGZ support.

Please refer to the QSvgRenderer documentation for details.

## Methods

| __init__ (self, QObject parent=0)
| __init__ (self, QString filename, QObject parent=0)
| __init__ (self, QByteArray contents, QObject parent=0)
bool | load (self, QString filename)
bool | load (self, QByteArray contents)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | QString | filename,
|  | QObject | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | QByteArray | contents,
|  | QObject | parent=0
| ) |  |  |

bool load | ( | self, |
|  | QString | filename
| ) |  |  |

bool load | ( | self, |
|  | QByteArray | contents
| ) |  |  |